public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/wcsaxes/, dev-python/wcsaxes/files/
@ 2016-02-22 20:52 Sebastien Fabbro
  0 siblings, 0 replies; 3+ messages in thread
From: Sebastien Fabbro @ 2016-02-22 20:52 UTC (permalink / raw
  To: gentoo-commits

commit:     51c36f98fa12a844637a5cee0dfa776999e93ff9
Author:     Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 22 21:48:03 2016 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Mon Feb 22 21:48:20 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=51c36f98

dev-python/wcsaxes: version bump

Package-Manager: portage-2.2.27

 dev-python/wcsaxes/Manifest                        |  1 +
 .../files/wcsaxes-0.6-disable_mpltest.patch        | 14 +++++++
 .../wcsaxes-0.6-disable_numpy_warnings_test.patch  | 16 ++++++++
 dev-python/wcsaxes/wcsaxes-0.6.ebuild              | 48 ++++++++++++++++++++++
 4 files changed, 79 insertions(+)

diff --git a/dev-python/wcsaxes/Manifest b/dev-python/wcsaxes/Manifest
index df3441c..2ba5a58 100644
--- a/dev-python/wcsaxes/Manifest
+++ b/dev-python/wcsaxes/Manifest
@@ -1 +1,2 @@
 DIST wcsaxes-0.3.tar.gz 773984 SHA256 012861678afa3c05700c4dd94a73bbd0534dae7ef8d9dc215fb01d6e5a60477f SHA512 597494609e2add782dcf84a6163b7093d1a467ffb6321d6d25064f9f87dcb0f7e5e076818b0707b9f10d0894a26ce240cda9598f035364832efe57d6ec51d76a WHIRLPOOL 1d05ce40460a2477c43107f33a68de08cdeb66ee395d3311ee74c9e7d354b675584f3e5d79ea91303a1808ab767df6f54bb5c65993009edfa67b416057c459fe
+DIST wcsaxes-0.6.tar.gz 617882 SHA256 ab8101ff742ebba79da3ff7bf777f24fcf8275886dbb5482f0a2eb3ab6756ee4 SHA512 6254fabc31b7c2e44dd86b0330592e01a688e36957e9d96348f7b4d305242e02e27d2363fd7ada37ad6dba292c66bbace9ea675f475388ed5545ac24cad1226c WHIRLPOOL e2f1d7b230fb7ba3982915638535258377fd450d47f3f191ba0a12aa1698050213353e315de2329e3f8ad359a76bfccdc4291e49eb6b0a4947d0f41305977100

diff --git a/dev-python/wcsaxes/files/wcsaxes-0.6-disable_mpltest.patch b/dev-python/wcsaxes/files/wcsaxes-0.6-disable_mpltest.patch
new file mode 100644
index 0000000..b62e15a
--- /dev/null
+++ b/dev-python/wcsaxes/files/wcsaxes-0.6-disable_mpltest.patch
@@ -0,0 +1,14 @@
+Author: Ole Streicher <olebole@debian.org>
+Description: Remove the tests that require pytest-mpl
+ Pytest_mpl is (still) not available in Debian.
+ https://github.com/astrofrog/pytest-mpl
+--- a/setup.cfg
++++ b/setup.cfg
+@@ -11,7 +11,6 @@
+ minversion = 2.2
+ norecursedirs = build docs/_build
+ doctest_plus = enabled
+-addopts = --mpl --mpl-baseline-path=wcsaxes/tests/baseline_images
+ 
+ [ah_bootstrap]
+ auto_use = False

diff --git a/dev-python/wcsaxes/files/wcsaxes-0.6-disable_numpy_warnings_test.patch b/dev-python/wcsaxes/files/wcsaxes-0.6-disable_numpy_warnings_test.patch
new file mode 100644
index 0000000..ff6567c
--- /dev/null
+++ b/dev-python/wcsaxes/files/wcsaxes-0.6-disable_numpy_warnings_test.patch
@@ -0,0 +1,16 @@
+Author: Ole Streicher <olebole@debian.org>
+Description: Disable test_no_numpy_warnings
+ This test may fails when numpy decides that it wants to put some important
+ message as a warning; even if nothing goes wrong. This happens f.e. for
+ numpy-1.11.0~b2.
+--- a/wcsaxes/tests/test_misc.py
++++ b/wcsaxes/tests/test_misc.py
+@@ -51,6 +51,8 @@
+ COORDSYS= 'icrs    '
+ """, sep='\n')
+ 
++# see https://github.com/astrofrog/wcsaxes/issues/187
++@pytest.mark.xfail
+ def test_no_numpy_warnings():
+ 
+     # Make sure that no warnings are raised if some pixels are outside WCS

diff --git a/dev-python/wcsaxes/wcsaxes-0.6.ebuild b/dev-python/wcsaxes/wcsaxes-0.6.ebuild
new file mode 100644
index 0000000..67bda68
--- /dev/null
+++ b/dev-python/wcsaxes/wcsaxes-0.6.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Framework for plotting astronomical and geospatial data"
+HOMEPAGE="http://wcsaxes.readthedocs.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	dev-python/astropy[${PYTHON_USEDEP}]
+	dev-python/matplotlib[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	doc? ( dev-python/sphinx[${PYTHON_USEDEP}]
+		dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}] )
+	test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-0.6-disable_mpltest.patch"
+	"${FILESDIR}/${PN}-0.6-disable_numpy_warnings_test.patch"
+)
+
+python_prepare_all() {
+	sed -i -e '/auto_use/s/True/False/' setup.cfg || die
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	use doc && esetup.py build_sphinx -w
+}
+
+python_test() {
+	virtx esetup.py test
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( docs/_build/html/ )
+	distutils-r1_python_install_all
+}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/wcsaxes/, dev-python/wcsaxes/files/
@ 2016-06-06 22:27 Sebastien Fabbro
  0 siblings, 0 replies; 3+ messages in thread
From: Sebastien Fabbro @ 2016-06-06 22:27 UTC (permalink / raw
  To: gentoo-commits

commit:     1e12387e11806cb9032018bb1a45180498071ecf
Author:     Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Mon Jun  6 22:24:15 2016 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Mon Jun  6 22:27:11 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e12387e

dev-python/wcsaxes: Version bump

Package-Manager: portage-2.3.0_rc1

 dev-python/wcsaxes/Manifest                        |  1 +
 .../files/wcsaxes-0.8-disable_mpltest.patch        | 14 ++++++
 dev-python/wcsaxes/wcsaxes-0.8.ebuild              | 57 ++++++++++++++++++++++
 3 files changed, 72 insertions(+)

diff --git a/dev-python/wcsaxes/Manifest b/dev-python/wcsaxes/Manifest
index ab9b726..4465b4f 100644
--- a/dev-python/wcsaxes/Manifest
+++ b/dev-python/wcsaxes/Manifest
@@ -1 +1,2 @@
 DIST wcsaxes-0.6.tar.gz 617882 SHA256 ab8101ff742ebba79da3ff7bf777f24fcf8275886dbb5482f0a2eb3ab6756ee4 SHA512 6254fabc31b7c2e44dd86b0330592e01a688e36957e9d96348f7b4d305242e02e27d2363fd7ada37ad6dba292c66bbace9ea675f475388ed5545ac24cad1226c WHIRLPOOL e2f1d7b230fb7ba3982915638535258377fd450d47f3f191ba0a12aa1698050213353e315de2329e3f8ad359a76bfccdc4291e49eb6b0a4947d0f41305977100
+DIST wcsaxes-0.8.tar.gz 226456 SHA256 3ada54586add52e70ceb5aff9257ae9c38a71d1889fe335bce3d219c5a03c672 SHA512 77a08a99b4b3fd4f08633a10d4a3dfd6726bc1433aca2c2bdb505fd93c79a5ba3735523697c11084f0044a22a5bda345a946f5770185815f92b71b59c7fc0769 WHIRLPOOL 3acbba0c1c93f4d2ceeea3d4f236f7294e3eb306b7f3f8be7244aa5b7f35452cc21c072a5f054a7608238262f6cc0dde19b40f02cd9705182430fa0a6e9b0470

diff --git a/dev-python/wcsaxes/files/wcsaxes-0.8-disable_mpltest.patch b/dev-python/wcsaxes/files/wcsaxes-0.8-disable_mpltest.patch
new file mode 100644
index 0000000..9426b32
--- /dev/null
+++ b/dev-python/wcsaxes/files/wcsaxes-0.8-disable_mpltest.patch
@@ -0,0 +1,14 @@
+Author: Ole Streicher <olebole@debian.org>
+Description: Remove the tests that require pytest-mpl
+ Pytest_mpl is (still) not available in Debian.
+ https://github.com/astrofrog/pytest-mpl
+--- a/setup.cfg
++++ b/setup.cfg
+@@ -11,7 +11,6 @@
+ minversion = 2.2
+ norecursedirs = build docs/_build
+ doctest_plus = enabled
+-addopts = --mpl
+ 
+ [ah_bootstrap]
+ auto_use = False

diff --git a/dev-python/wcsaxes/wcsaxes-0.8.ebuild b/dev-python/wcsaxes/wcsaxes-0.8.ebuild
new file mode 100644
index 0000000..5c3c8ca
--- /dev/null
+++ b/dev-python/wcsaxes/wcsaxes-0.8.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Framework for plotting astronomical and geospatial data"
+HOMEPAGE="http://wcsaxes.readthedocs.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+RDEPEND="
+	dev-python/astropy[${PYTHON_USEDEP}]
+	dev-python/matplotlib[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	dev-python/astropy-helpers[${PYTHON_USEDEP}]
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	doc? (
+	  dev-python/sphinx[${PYTHON_USEDEP}]
+	  dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}] )
+	test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-0.8-disable_mpltest.patch"
+)
+
+python_prepare_all() {
+	# use system astropy-helpers instead of bundled one
+	sed -i -e '/auto_use/s/True/False/' setup.cfg || die
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	if use doc; then
+		python_setup
+		VARTEXFONTS="${T}"/fonts \
+			MPLCONFIGDIR="${BUILD_DIR}" \
+			PYTHONPATH="${BUILD_DIR}"/lib \
+			esetup.py build_sphinx --no-intersphinx
+	fi
+}
+
+python_test() {
+	virtx esetup.py test
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( docs/_build/html/. )
+	distutils-r1_python_install_all
+}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/wcsaxes/, dev-python/wcsaxes/files/
@ 2019-12-28 16:33 Mikle Kolyada
  0 siblings, 0 replies; 3+ messages in thread
From: Mikle Kolyada @ 2019-12-28 16:33 UTC (permalink / raw
  To: gentoo-commits

commit:     4da2e9b831d1941516d7285a593d0be1640f6537
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 28 16:33:35 2019 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Sat Dec 28 16:33:35 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4da2e9b8

dev-python/wcsaxes: remove last-rited pkg

Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 dev-python/wcsaxes/Manifest                        |  2 -
 .../files/wcsaxes-0.8-disable_mpltest.patch        | 14 -----
 dev-python/wcsaxes/metadata.xml                    | 14 -----
 dev-python/wcsaxes/wcsaxes-0.8.ebuild              | 57 --------------------
 dev-python/wcsaxes/wcsaxes-0.9-r1.ebuild           | 60 ----------------------
 dev-python/wcsaxes/wcsaxes-0.9.ebuild              | 60 ----------------------
 6 files changed, 207 deletions(-)

diff --git a/dev-python/wcsaxes/Manifest b/dev-python/wcsaxes/Manifest
deleted file mode 100644
index a83b00837b8..00000000000
--- a/dev-python/wcsaxes/Manifest
+++ /dev/null
@@ -1,2 +0,0 @@
-DIST wcsaxes-0.8.tar.gz 226456 BLAKE2B 1efa7dcfc7033735599c85548010a1b4d8e134c294c224e37aed58d3814a4b67e8a9de998c61fdacaade0ca4440bf9222e95021c498e0f0a08edc72ef266e63b SHA512 77a08a99b4b3fd4f08633a10d4a3dfd6726bc1433aca2c2bdb505fd93c79a5ba3735523697c11084f0044a22a5bda345a946f5770185815f92b71b59c7fc0769
-DIST wcsaxes-0.9.tar.gz 213306 BLAKE2B cf15c25b93938bc8c600a1e1f74fcbec17e7f4a428930b7617179c93b0e239f0c3f2c7750a73e1546d87acdab32c97775868db05d5ba57a6ba7cb62da7ac9a8d SHA512 ae5a69f6f7ab71d186a128d902ae2f6d2d1d8a8b3358af88da120815493d24ffdc5d7a07ee96efe5adc91f68822f070b3d667e52e7cee5ac501abe62a468e2c4

diff --git a/dev-python/wcsaxes/files/wcsaxes-0.8-disable_mpltest.patch b/dev-python/wcsaxes/files/wcsaxes-0.8-disable_mpltest.patch
deleted file mode 100644
index 9426b3296c0..00000000000
--- a/dev-python/wcsaxes/files/wcsaxes-0.8-disable_mpltest.patch
+++ /dev/null
@@ -1,14 +0,0 @@
-Author: Ole Streicher <olebole@debian.org>
-Description: Remove the tests that require pytest-mpl
- Pytest_mpl is (still) not available in Debian.
- https://github.com/astrofrog/pytest-mpl
---- a/setup.cfg
-+++ b/setup.cfg
-@@ -11,7 +11,6 @@
- minversion = 2.2
- norecursedirs = build docs/_build
- doctest_plus = enabled
--addopts = --mpl
- 
- [ah_bootstrap]
- auto_use = False

diff --git a/dev-python/wcsaxes/metadata.xml b/dev-python/wcsaxes/metadata.xml
deleted file mode 100644
index 6f611d0ffb0..00000000000
--- a/dev-python/wcsaxes/metadata.xml
+++ /dev/null
@@ -1,14 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-	<maintainer type="project">
-		<email>sci-astronomy@gentoo.org</email>
-		<name>Gentoo Astronomy Project</name>
-	</maintainer>
-	<longdescription lang="en">
-		Framework for plotting astronomical and geospatial data
-	</longdescription>
-	<upstream>
-		<remote-id type="pypi">wcsaxes</remote-id>
-	</upstream>
-</pkgmetadata>

diff --git a/dev-python/wcsaxes/wcsaxes-0.8.ebuild b/dev-python/wcsaxes/wcsaxes-0.8.ebuild
deleted file mode 100644
index 0e495713886..00000000000
--- a/dev-python/wcsaxes/wcsaxes-0.8.ebuild
+++ /dev/null
@@ -1,57 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python{2_7,3_5} )
-
-inherit distutils-r1 virtualx
-
-DESCRIPTION="Framework for plotting astronomical and geospatial data"
-HOMEPAGE="http://wcsaxes.readthedocs.org"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="doc test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
-	dev-python/astropy[${PYTHON_USEDEP}]
-	dev-python/matplotlib[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
-	dev-python/astropy-helpers[${PYTHON_USEDEP}]
-	dev-python/setuptools[${PYTHON_USEDEP}]
-	doc? (
-	  dev-python/sphinx[${PYTHON_USEDEP}]
-	  dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}] )
-	test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
-
-PATCHES=(
-	"${FILESDIR}/${PN}-0.8-disable_mpltest.patch"
-)
-
-python_prepare_all() {
-	# use system astropy-helpers instead of bundled one
-	sed -i -e '/auto_use/s/True/False/' setup.cfg || die
-	distutils-r1_python_prepare_all
-}
-
-python_compile_all() {
-	if use doc; then
-		python_setup
-		VARTEXFONTS="${T}"/fonts \
-			MPLCONFIGDIR="${BUILD_DIR}" \
-			PYTHONPATH="${BUILD_DIR}"/lib \
-			esetup.py build_sphinx --no-intersphinx
-	fi
-}
-
-python_test() {
-	virtx esetup.py test
-}
-
-python_install_all() {
-	use doc && local HTML_DOCS=( docs/_build/html/. )
-	distutils-r1_python_install_all
-}

diff --git a/dev-python/wcsaxes/wcsaxes-0.9-r1.ebuild b/dev-python/wcsaxes/wcsaxes-0.9-r1.ebuild
deleted file mode 100644
index e24c215eabf..00000000000
--- a/dev-python/wcsaxes/wcsaxes-0.9-r1.ebuild
+++ /dev/null
@@ -1,60 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python{2_7,3_5,3_6} )
-
-inherit distutils-r1 virtualx xdg-utils
-
-DESCRIPTION="Framework for plotting astronomical and geospatial data"
-HOMEPAGE="http://wcsaxes.readthedocs.org"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="doc test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
-	dev-python/astropy[${PYTHON_USEDEP}]
-	dev-python/matplotlib[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
-	dev-python/astropy-helpers[${PYTHON_USEDEP}]
-	dev-python/setuptools[${PYTHON_USEDEP}]
-	doc? (
-	  dev-python/sphinx[${PYTHON_USEDEP}]
-	  dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}] )
-	test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
-
-PATCHES=(
-	"${FILESDIR}/${PN}-0.8-disable_mpltest.patch"
-)
-
-python_prepare_all() {
-	# use system astropy-helpers instead of bundled one
-	sed -i -e '/auto_use/s/True/False/' setup.cfg || die
-	echo "backend: Agg" > "${WORKDIR}"/matplotlibrc || die
-	export MATPLOTLIBRC="${WORKDIR}"
-	xdg_environment_reset
-	distutils-r1_python_prepare_all
-}
-
-python_compile_all() {
-	if use doc; then
-		python_setup
-		VARTEXFONTS="${T}"/fonts \
-			MPLCONFIGDIR="${BUILD_DIR}" \
-			PYTHONPATH="${BUILD_DIR}"/lib \
-			esetup.py build_sphinx --no-intersphinx
-	fi
-}
-
-python_test() {
-	virtx esetup.py test
-}
-
-python_install_all() {
-	use doc && local HTML_DOCS=( docs/_build/html/. )
-	distutils-r1_python_install_all
-}

diff --git a/dev-python/wcsaxes/wcsaxes-0.9.ebuild b/dev-python/wcsaxes/wcsaxes-0.9.ebuild
deleted file mode 100644
index 89e7d6c0fe0..00000000000
--- a/dev-python/wcsaxes/wcsaxes-0.9.ebuild
+++ /dev/null
@@ -1,60 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python{2_7,3_5} )
-
-inherit distutils-r1 virtualx xdg-utils
-
-DESCRIPTION="Framework for plotting astronomical and geospatial data"
-HOMEPAGE="http://wcsaxes.readthedocs.org"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="doc test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
-	dev-python/astropy[${PYTHON_USEDEP}]
-	dev-python/matplotlib[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
-	dev-python/astropy-helpers[${PYTHON_USEDEP}]
-	dev-python/setuptools[${PYTHON_USEDEP}]
-	doc? (
-	  dev-python/sphinx[${PYTHON_USEDEP}]
-	  dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}] )
-	test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
-
-PATCHES=(
-	"${FILESDIR}/${PN}-0.8-disable_mpltest.patch"
-)
-
-python_prepare_all() {
-	# use system astropy-helpers instead of bundled one
-	sed -i -e '/auto_use/s/True/False/' setup.cfg || die
-	echo "backend: Agg" > "${WORKDIR}"/matplotlibrc || die
-	export MATPLOTLIBRC="${WORKDIR}"
-	xdg_environment_reset
-	distutils-r1_python_prepare_all
-}
-
-python_compile_all() {
-	if use doc; then
-		python_setup
-		VARTEXFONTS="${T}"/fonts \
-			MPLCONFIGDIR="${BUILD_DIR}" \
-			PYTHONPATH="${BUILD_DIR}"/lib \
-			esetup.py build_sphinx --no-intersphinx
-	fi
-}
-
-python_test() {
-	virtx esetup.py test
-}
-
-python_install_all() {
-	use doc && local HTML_DOCS=( docs/_build/html/. )
-	distutils-r1_python_install_all
-}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2019-12-28 16:33 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-06-06 22:27 [gentoo-commits] repo/gentoo:master commit in: dev-python/wcsaxes/, dev-python/wcsaxes/files/ Sebastien Fabbro
  -- strict thread matches above, loose matches on Subject: below --
2019-12-28 16:33 Mikle Kolyada
2016-02-22 20:52 Sebastien Fabbro

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox